<detalle-cliente *ngIf="facturaSeleccionado" [cliente] ="facturaSeleccionado"></detalle-cliente>

<div class="card border-primary mb-3">
  <div class="card-header"> <h5 class="card-title">COCINA</h5></div>
   <p>    &nbsp;&nbsp; Obs: estado inicial: pendiente(recien ingresado), en proceso (en preparacion), listo(pasa a bandeja de espera para retiro o envio) </p>
  <div class="card-body text-primary">
    <h5 class="card-title"> Listado de Pedidos en preparación</h5>
    <!--h4 class="card-title">
      <a [routerLink]="['/clientes']" class="btn btn-light btn-xs">&laquo; volver</a>
    </h4>

    <ul class="list-group my-2">
      <li class="list-group-item list-group-item-primary">Datos del cliente</li>
      <li class="list-group-item">{{factura.cliente.nombre}}</li>
      <li class="list-group-item">{{factura.cliente.apellido}}</li>
    </ul>

    <ul class="list-group my-2">
      <li class="list-group-item list-group-item-primary">Datos de l</li>
      <li class="list-group-item">Folio: {{factura.id}}</li>
      <li class="list-group-item">Descripción: {{factura.descripcion}}</li>
      <li class="list-group-item">Fecha: {{factura.createAt}}</li>
    </ul-->
    <div *ngIf="facturas?.length == 0" class="alert alert-info">
      No hay registros en la base de datos!
    </div>
    <table class="table table-striped table-hover table-bordered my-3" *ngIf="itemFactura?.length>0">
      <thead>
        <tr>
          <th>Nro Ticket</th>

          <th>Item</th>
          <th>Cliente</th>
          <th>Modo de Retiro</th>
          <th>Observacion</th>

          <th>Producto</th>
          <th>Cantidad</th>
          <th>Estado</th>
          <th>En Proceso</th>
          <th>Listo</th>


        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let item of itemFactura">
          <td *ngIf=" item.estado=='en proceso'  && item.producto.tipo!='almacen'" style="background-color:rgb(184, 238, 252); color:rgb(70, 62, 62)" >{{item.facturaId}}</td>

          <td  *ngIf=" item.estado=='en proceso'  && item.producto.tipo!='almacen'"  style="background-color:rgb(184, 238, 252); color:rgb(70, 62, 62)"  >{{item.id}}</td>

          <td  *ngIf=" item.estado=='en proceso'  && item.producto.tipo!='almacen'"  style="background-color:rgb(184, 238, 252); color:rgb(70, 62, 62)"  >{{item.nombre}}</td>
          <td  *ngIf=" item.estado=='en proceso'  && item.producto.tipo!='almacen'"  style="background-color:rgb(184, 238, 252); color:rgb(70, 62, 62)"  >{{item.descripcion}}</td>
          <td   *ngIf=" item.estado=='en proceso'  && item.producto.tipo!='almacen'"  style="background-color:rgb(184, 238, 252); color:rgb(70, 62, 62)" >{{item.observacion}}</td>

          <td *ngIf=" item.estado=='en proceso'  && item.producto.tipo!='almacen'"  style="background-color:rgb(184, 238, 252); color:rgb(70, 62, 62)"  >{{item.producto.nombre}}</td>
          <td  *ngIf=" item.estado=='en proceso'  && item.producto.tipo!='almacen'"  style="background-color:rgb(184, 238, 252); color:rgb(70, 62, 62)"  >{{item.cantidad}}</td>

          <td  *ngIf=" item.estado=='en proceso'  && item.producto.tipo!='almacen'"  style="background-color:rgb(184, 238, 252); color:rgb(70, 62, 62)"  >{{item.estado}}</td>
          <td *ngIf=" item.estado=='en proceso'  && item.producto.tipo!='almacen'"  style="background-color:rgb(184, 238, 252); color:rgb(70, 62, 62)"  >
            <button type="button" name="proceso" class="btn btn-primary btn-sm" [disabled]="item.estado=='en proceso'" (click)='procesar(item)'>En Proceso</button>
          </td>
          <td *ngIf=" item.estado=='en proceso'  && item.producto.tipo!='almacen'"  style="background-color:rgb(184, 238, 252); color:rgb(70, 62, 62)"  >
            <button type="button" name="listo" class="btn btn-primary btn-sm" (click)='listo(item)' >Listo</button>
          </td>

          <td *ngIf="item.estado=='pendiente' && item.producto.tipo!='almacen'" style="background-color:rgb(247, 163, 54); color:#FFF" >{{item.facturaId}}</td>

          <td  *ngIf="item.estado=='pendiente' && item.producto.tipo!='almacen'" style="background-color:rgb(247, 163, 54); color:#FFF"  >{{item.id}}</td>

          <td  *ngIf="item.estado=='pendiente' && item.producto.tipo!='almacen'" style="background-color:rgb(247, 163, 54); color:#FFF"  >{{item.nombre}}</td>
          <td  *ngIf="item.estado=='pendiente' && item.producto.tipo!='almacen'" style="background-color:rgb(247, 163, 54); color:#FFF"  >{{item.descripcion}}</td>
          <td   *ngIf="item.estado=='pendiente' && item.producto.tipo!='almacen'" style="background-color:rgb(247, 163, 54); color:#FFF" >{{item.observacion}}</td>

          <td *ngIf="item.estado=='pendiente' && item.producto.tipo!='almacen'" style="background-color:rgb(247, 163, 54); color:#FFF"  >{{item.producto.nombre}}</td>
          <td  *ngIf="item.estado=='pendiente' && item.producto.tipo!='almacen'" style="background-color:rgb(247, 163, 54); color:#FFF"  >{{item.cantidad}}</td>

          <td  *ngIf="item.estado=='pendiente' && item.producto.tipo!='almacen'" style="background-color:rgb(247, 163, 54); color:#FFF" >{{item.estado}}</td>
          <td *ngIf="item.estado=='pendiente' && item.producto.tipo!='almacen'" style="background-color:rgb(247, 163, 54); color:#FFF"  >
            <button type="button" name="proceso" class="btn btn-primary btn-sm" [disabled]="item.estado=='en proceso'" (click)='procesar(item)'>En Proceso</button>
          </td>
          <td *ngIf="item.estado=='pendiente' && item.producto.tipo!='almacen'" style="background-color:rgb(247, 163, 54); color:#FFF" >
            <button type="button" name="listo" class="btn btn-primary btn-sm" (click)='listo(item)' >Listo</button>
          </td>
        </tr>
      </tbody>
    </table>
    <!--h5 class="float-right">
      <span>Gran Total</span>: <span class="badge badge-secondary">{{factura.total}}</span>
    </h5-->

    <!--div class="card border-info mb-4" style="max-width: 350px;">
      <div class="card card-header">
        Observaciones
      </div>
      <div class="card card-body">
        <p *ngIf="!factura.observacion">No tiene observación</p>
        <p *ngIf="factura.observacion">{{factura.observacion}}</p>
      </div>

    </div-->
  </div>
</div>
